Bug 681159 - [abrt] openoffice.org-writer-1:3.3.0-20.2.fc14: SwView::ExecTabWin: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-writer-1:3.3.0-20.2.fc14: SwView::ExecTabWin: Process /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b0197f1def51b89dcd04775ac25...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-01 10:34 UTC by leon
Modified: 2011-03-09 03:15 UTC (History)
1 user (show)

Fixed In Version: libreoffice-3.3.1.2-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 03:15:18 UTC


Attachments (Terms of Use)
File: backtrace (156.31 KB, text/plain)
2011-03-01 10:34 UTC, leon
no flags Details
could add a bandaid like this I guess, to fix the immediate point of crash (777 bytes, patch)
2011-03-01 11:46 UTC, Caolan McNamara
no flags Details | Diff

Description leon 2011-03-01 10:34:37 UTC
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 160059 bytes
cmdline: /usr/lib/openoffice.org3/program/swriter.bin -writer file:///media/Ceon/Leon/word/1semassig_jan11_jul11_newsyllabus.doc
component: openoffice.org
Attached file: coredump, 112631808 bytes
crash_function: SwView::ExecTabWin
executable: /usr/lib/openoffice.org3/program/swriter.bin
kernel: 2.6.35.11-83.fc14.i686
package: openoffice.org-writer-1:3.3.0-20.2.fc14
rating: 4
reason: Process /usr/lib/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1298972553
uid: 500

How to reproduce
-----
1.dont know
2.
3.

Comment 1 leon 2011-03-01 10:34:41 UTC
Created attachment 481580 [details]
File: backtrace

Comment 2 Caolan McNamara 2011-03-01 11:46:57 UTC
Created attachment 481598 [details]
could add a bandaid like this I guess, to fix the immediate point of crash

Comment 3 Caolan McNamara 2011-03-01 13:40:17 UTC
checked in, will be in >= 3.3.0-20.3

Comment 4 Fedora Update System 2011-03-03 17:19:40 UTC
Package libreoffice-3.3.1.2-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.1.2-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.1.2-3.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-03-04 09:53:28 UTC
libreoffice-3.3.1.2-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libreoffice'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libreoffice-3.3.1.2-3.fc15

Comment 6 leon 2011-03-05 08:52:04 UTC
Package: openoffice.org-writer-1:3.3.0-20.2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.dont know
2.
3.

Comment 7 Fedora Update System 2011-03-09 03:14:53 UTC
libreoffice-3.3.1.2-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.